apiVersion: monitoring.coreos.com/v1
kind: PrometheusRule
metadata:
  labels:
    tenant: system
  name: prometheus-blackbox-exporter-rules
spec:
  groups:
    - name: blackbox-exporter.rules
      rules:
        - alert: GatekeeperProbeDown
          annotations:
            title: Gatekeper is down
            description: Gatekeper /readyz endpoint seems to be down.
          expr: |
            probe_success{target="gatekeeper-probe"} == 0
          for: 2m
          labels:
            alertname: GatekeeperProbeDown
            type: blackbox-probe-tests
            severity: s1
            alert_type: smoke_test
